Package de.willuhn.jameica.hbci.synchronize.jobs

# Class SynchronizeJobSepaDauerauftragList

java.lang.Object
de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob
de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJobSepaDauerauftragList

All Implemented Interfaces:
  `SynchronizeJob`

Direct Known Subclasses:
  `HBCISynchronizeJobSepaDauerauftragList`

public class SynchronizeJobSepaDauerauftragList extends AbstractSynchronizeJob
Standard-Job zum Abrufen der SEPA-Dauerauftraege.

## Field Summary

### Fields inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`i18n`

### Fields inherited from interface de.willuhn.jameica.hbci.synchronize.jobs.SynchronizeJob

`CTX_ENTITY`

## Constructor Summary

Constructors
Constructor
Description
`SynchronizeJobSepaDauerauftragList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configure()`
Oeffnet den Synchronisierungs-Job zur Konfiguration.
`String`
`getName()`
Liefert einen sprechenden Namen fuer den Job.
`boolean`
`isRecurring()`
Prueft, ob es sich um einen wiederkehrenden Job handelt.

### Methods inherited from class de.willuhn.jameica.hbci.synchronize.jobs.AbstractSynchronizeJob

`getContext, getKonto, setContext, setKonto`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SynchronizeJobSepaDauerauftragList

public SynchronizeJobSepaDauerauftragList()

## Method Details

### getName

public String getName() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Liefert einen sprechenden Namen fuer den Job.

Specified by:
  `getName` in interface `SynchronizeJob`
Overrides:
  `getName` in class `AbstractSynchronizeJob`
Returns:
  sprechender Name.
Throws:
  `de.willuhn.util.ApplicationException`

### configure

public void configure() throws de.willuhn.util.ApplicationException
Description copied from interface: `SynchronizeJob`
Oeffnet den Synchronisierungs-Job zur Konfiguration.

Specified by:
  `configure` in interface `SynchronizeJob`
Overrides:
  `configure` in class `AbstractSynchronizeJob`
Throws:
  `de.willuhn.util.ApplicationException`

### isRecurring

public boolean isRecurring()
Description copied from interface: `SynchronizeJob`
Prueft, ob es sich um einen wiederkehrenden Job handelt. Saldo- und Umsatzabfragen sind zBsp wiederkehrend, Ueberweisungen jedoch nicht. BUGZILLA 583

Returns:
  true, wenn es sich um einen wiederholenden Job handelt.